Phase-Field
===========

Input Class
-----------

.. automodule:: phasefieldx.Element.Phase_Field.Input
   :members:
   :undoc-members:
   :show-inheritance:
   

Solver
------

.. automodule:: phasefieldx.Element.Phase_Field.solver.solver
   :members:
   :undoc-members:
   :show-inheritance:


Energy
------

.. automodule:: phasefieldx.Element.Phase_Field.energy
   :members:
   :undoc-members:
   :show-inheritance:


Geometric Crack
---------------

.. automodule:: phasefieldx.Element.Phase_Field.geometric_crack
   :members:
   :undoc-members:
   :show-inheritance: